Qt 5.11 | Qt WebEngine | C++ Classes | QWebEngineHistoryItem

Qt 5.11.3 Reference Documentation

# QWebEngineHistoryItem Class

The QWebEngineHistoryItem class represents one item in the history of a web engine page. More...

Header: | #include <QWebEngineHistoryItem>
qmake: | QT += webenginewidgets
Since: | Qt 5.4

- List of all members, including inherited members

## Public Functions

| QWebEngineHistoryItem(const QWebEngineHistoryItem &other)
| ~QWebEngineHistoryItem()
QUrl | iconUrl() const
bool | isValid() const
QDateTime | lastVisited() const
QUrl | originalUrl() const
void | swap(QWebEngineHistoryItem &other)
QString | title() const
QUrl | url() const
QWebEngineHistoryItem & | operator=(const QWebEngineHistoryItem &other)

## Detailed Description

The QWebEngineHistoryItem class represents one item in the history of a web engine page.

Each web engine history item represents an entry in the history stack of a web page, containing information about the page, its location, and the time when it was last visited.

See also QWebEngineHistory and QWebEnginePage::history().

## Member Function Documentation

### QWebEngineHistoryItem::QWebEngineHistoryItem(const QWebEngineHistoryItem &other)

Default constructs an instance of QWebEngineHistoryItem.

### QWebEngineHistoryItem::~QWebEngineHistoryItem()

Destroys the instance of QWebEngineHistoryItem.

### QUrl QWebEngineHistoryItem::iconUrl() const

Returns the URL of the icon associated with the history item.

See also url(), originalUrl(), and title().

### bool QWebEngineHistoryItem::isValid() const

### QDateTime QWebEngineHistoryItem::lastVisited() const

### QUrl QWebEngineHistoryItem::originalUrl() const

### void QWebEngineHistoryItem::swap(QWebEngineHistoryItem &other)

### QString QWebEngineHistoryItem::title() const

### QUrl QWebEngineHistoryItem::url() const

### QWebEngineHistoryItem &QWebEngineHistoryItem::operator=(const QWebEngineHistoryItem &other)

Copy-assignment operator.